CHANGELOG for 3.0.x
===================

This changelog references the relevant changes (bug and security fixes) done
in 3.0 minor versions.

To get the diff for a specific change, go to https://github.com/symfony/symfony/commit/XXX where XXX is the change hash
To get the diff between two versions, go to https://github.com/symfony/symfony/compare/v3.0.0...v3.0.1

* 3.0.1 (2015-12-26)

 * bug #16864 [Yaml] fix indented line handling in folded blocks (xabbuh)
 * bug #17052  Fixed flatten exception recursion with errors (GrahamCampbell)
 * bug #16826 Embedded identifier support (mihai-stancu)
 * bug #17079 Also transform inline mappings to objects (WouterJ)
 * bug #17129 [Config] Fix array sort on normalization in edge case (romainneutron)
 * feature #17035 [DomCrawler] Revert previous restriction, allow selection of every DOMNode object  (EdgarPE)
 * bug #17094 [Process] More robustness and deterministic tests (nicolas-grekas)
 * bug #17112 [PropertyAccess] Reorder elements array after PropertyPathBuilder::replace (alekitto)
 * bug #17109 Improved the design of the web debug toolbar (javiereguiluz)
 * bug #16797 [Filesystem] Recursivly widen non-executable directories (Slamdunk)
 * bug #16926 [DependencyInjection] fixed definition loosing property shared when decorated by a parent definition (wahler)
 * bug #17040 [Console] Avoid extra blank lines when rendering exceptions (ogizanagi)
 * bug #17044 [Form] fix BC break introduced with prototype_data option (memphys)
 * bug #17055 [Security] Verify if a password encoded with bcrypt is no longer than 72 characters (jakzal)
 * bug #16959 [Form] fix #15544 when a collection type attribute "required" is false, "prototype" should too (HeahDude)
 * bug #16806 [Validator] BicValidator - fixed raising violations to a maximum of one (mvhirsch)
 * bug #16842 [Ldap] Escape carriage returns in LDAP DNs. (ChadSikorra)
 * bug #16860 [Yaml] do not remove "comments" in scalar blocks (xabbuh)
 * bug #17002 [Console][Table] fixed render row that contains multiple cells. (aitboudad)
 * bug #16964 CSS min-height and min-width should not be "auto" (aschempp)
 * bug #16971 [HttpFoundation] Added the ability of using BinaryFileResponse with stream wrappers (jakzal, Sander-Toonen)
 * bug #17048 Fix the logout path when not using the router (stof)
 * bug #17049 Fix the logout path when not using the router (stof)
 * bug #17057 [FrameworkBundle][HttpKernel] the finder is required to discover bundle commands (xabbuh)
 * bug #17059 [HttpFoundation] fix error level for deprecation (xabbuh)
 * bug #17006 [Form] Fix casting regression in DoctrineChoiceLoader (bendavies)
 * bug #16911 [PropertyInfo] Update List Information from ReflectionExtractor (zanderbaldwin)
 * bug #16955 [FrameworkBundle] ContainerDebugCommand: pass the right object to the descriptors (xabbuh)
 * bug #16970 [HttpKernel] HttpCache: remove an ESI instance checking (voronkovich)
 * feature #16760 Show silenced errors in separate tab (peterrehm)
 * feature #16937 [PhpUnitBridge] Replace "weak-verbose" by "deprecations upper bound" mode (nicolas-grekas)
 * bug #16953 return ajax collector to collectors.php (NothingWeAre)
 * bug #16915 [Process] Enhance compatiblity with --enable-sigchild (nicolas-grekas)
 * bug #16829 [FrameworkBundle] prevent cache:clear creating too long paths (Tobion)
 * bug #16922 [FrameworkBundle] [Bug] Fixes new InputStyle bug #16920 (AlmogBaku)
 * bug #16921 Fix short array syntax for php 5.3 (ewgRa)
 * bug #16450 [Serializer] Fixed `array_unique` on array of objects in `getAllowedAttributes`. (CornyPhoenix)
 * bug #16757 [FrameworkBundle] [Translation] Fixed translations not written when no translations directory in update command (jeremyFreeAgent)
 * bug #16902 [Security] Fix a Polyfill import statement in StringUtils (magnetik)
 * bug #16871 [FrameworkBundle] Disable built-in server commands when Process component is missing (gnugat, xabbuh)
 * bug #16870 [FrameworkBundle] Disable the server:run command when Process component is missing (gnugat, xabbuh)
 * feature #16789 [PhpUnitBridge] Add weak-verbose mode and match against message instead of test name (nicolas-grekas)
 * minor #16850 [MonologBridge] Added a test case for the Logger class (derrabus)
 * bug #16796 [Form] Fix choices defined as Traversable (nicolas-grekas)
 * bug #16742 [Console][ProgressBar] redrawFrequency should never be 0 (dritter)
 * bug #16846 [MonologBridge] Monolog Bridge 2.8 is incompatible with HttpKernel 3.0 (derrabus)
 * bug #16816 [Config] Throw an exception when using cannotBeEmpty() with numeric or boolean nodes (Ener-Getick)
 * bug #16799 Improve error message for undefined DIC aliases (mpdude)
 * bug #16825 [VarDumper] fix .sf-dump z-index (debug bar conflict) (Antoine LA)
 * bug #16772 Refactoring EntityUserProvider::__construct() to not do work, cause cache warm error (weaverryan)
 * bug #16788 Reapply the Yaml bugfix of #16745 (stof)

* 3.0.0 (2015-11-30)

 * bug #16758 Fix BC for the default root form name (stof)
 * feature #16754 [Security] allow arbitrary types in VoterInterface::vote() (xabbuh)
 * bug #16753 [Process] Fix signaling/stopping logic on Windows (nicolas-grekas)
 * feature #16755 [Security] add subject variable to expression context (xabbuh)
 * bug #16642 [DI][autowiring] throw exception when many services use the same class. (aitboudad)
 * bug #16745 [Yaml] look for colon in parsed inline string (xabbuh)
 * bug #16733 [Console] do not encode backslashes in console default description (Tobion)
 * feature #16735 [WIP] [Ldap] Marked the Ldap component as internal (csarrazi)
 * bug #16734 Make sure security.role_hierarchy.roles always exists (WouterJ)
 * feature #16723 [Form] remove deprecated CSRF options (xabbuh)
 * feature #16725 [Form] Removed useless code (webmozart)
 * feature #16724  Added getBlockPrefix to FormTypeInterface (WouterJ)
 * feature #16722 [Security][SecurityBundle] Use csrf_token_id instead of deprecated intention (jakzal)
 * feature #16727 [Form] remove deprecated getTimezones() method (xabbuh)
 * bug #16312 [HttpKernel] clearstatcache() so the Cache sees when a .lck file has been released (mpdude)
 * bug #16351 [WIP] [Form] [TwigBridge] Bootstrap horizontal theme missing tests (pieter2627)
 * feature #16715 [Form] Remove choices_as_values option on ChoiceType (nicolas-grekas)
 * feature #16692 [Form] Drop remaing CsrfProviderAdapter/Interface mentions (nicolas-grekas)
 * feature #16719 [Security] remove deprecated HTTP digest auth key  (xabbuh)
 * bug #16685 [Form] Fixed: Duplicate choice labels are remembered when using "choices_as_values" = false (webmozart)
 * feature #16709 [Bridge\PhpUnit] Display the stack trace of a deprecation on-demand (nicolas-grekas)
 * bug #16704 [Form+SecurityBundle] Trigger deprecation for csrf_provider+intention options (nicolas-grekas)
 * feature #16629 [HttpFoundation] Remove deprecated class method parameter (belka-ew)
 * feature #16706 [HttpFoundation] Deprecate $deep parameter on ParameterBag (nicolas-grekas)
 * bug #16705 [Form] Deprecated setting "choices_as_values" to "false" (webmozart)
 * feature #16690 [Form] Deprecated ArrayKeyChoiceList (webmozart)
 * feature #16687 [Form] Deprecated TimezoneType::getTimezones() (webmozart)
 * bug #16681 [Form] Deprecated setting "choices_as_values" to "false" (webmozart)
 * feature #16694 [SecurityBundle] make ACL an optional dependency (Tobion)
 * bug #16695 [SecurityBundle] disable the init:acl command if ACL is not used (Tobion)
 * bug #16677 [Form] Fixed wrong usages of the "text" type (webmozart)
 * bug #16679 [Form] Disabled view data validation if "data_class" is set to null (webmozart)
 * bug #16621 [Console] Fix bug with $output overloading (WouterJ)
 * feature #16601 [Security] Deprecate "AbstractVoter" in favor of "Voter" (nicolas-grekas, lyrixx)
 * bug #16676 [HttpFoundation] Workaround HHVM rewriting HTTP response line (nicolas-grekas)
 * bug #16668 [ClassLoader] Fix parsing namespace when token_get_all() is missing (nicolas-grekas)
 * bug #16615 fix type assignement (rande)
 * bug #16386 Bug #16343 [Router] Too many Routes ? (jelte)
 * bug #16498 fix unused variable warning (eventhorizonpl)
 * feature #16031 [Translation][Form] Do not translate form labels and placeholders when 'translation_domain' is false (Restless-ET)
 * bug #16651 [Debug] Ensure class declarations are loaded only once (nicolas-grekas)
 * feature #16637  Removed unneeded polyfill (GrahamCampbell)
 * security #16631 n/a (xabbuh)
 * security #16630 n/a (xabbuh)
 * bug #16633 [Filesystem] Fixed failing test due to tempdir symlink (toretto460)
 * bug #16607 [HttpFoundation] Delete not existing session handler proxy member (belka-ew)
 * bug #16609 [HttpKernel] Don't reset on shutdown but in FrameworkBundle/Test/KernelTestCase (nicolas-grekas)
 * bug #16477 [Routing] Changing RouteCollectionBuilder::import() behavior to add to the builder (weaverryan)
 * bug #16588 Sent out a status text for unknown HTTP headers. (dawehner)
 * bug #16295 [DependencyInjection] Unescape parameters for all types of injection (Nicofuma)
 * bug #16377 [WebProfilerBundle] Fix minitoolbar height (rvanlaak)
 * bug #16585 Add support for HTTP status code 418 back (dawehner)
 * bug #16574 [Process] Fix PhpProcess with phpdbg runtime (nicolas-grekas)
 * bug #16581 Fix call to undefined function json_last_error_message (dawehner)
 * bug #16573 [FrameworkBundle] Fix PropertyInfo extractor namespace in framework bundle (jvasseur)
 * bug #16578 [Console] Fix bug in windows detection (kbond)
 * bug #16546 [Serializer] ObjectNormalizer: don't serialize static methods and props (dunglas)
 * bug #16352 Fix the server variables in the router_*.php files (leofeyer)
 * bug #16537 [Validator] Allow an empty path with a non empty fragment or a query (jakzal)
 * bug #16528 [Translation] Add support for Armenian pluralization. (marcosdsanchez)
 * bug #16510 [Process] fix Proccess run with pts enabled (ewgRa)

* 3.0.0-BETA1 (2015-11-16)

 * feature #16516 Remove some more legacy code (nicolas-grekas)
 * feature #11431 [Console] End of options (--) signal support (Seldaek)
 * feature #16411 [3.0] use ContainerAwareTrait (blanchonvincent, Tobion)
 * feature #16400 [3.0] [Templating] remove deprecated method (TomasVotruba)
 * feature #16381 remove polyfills for unsupported php versions (Tobion)
 * feature #16392 [3.0] [Security] remove deprecated SrtingUtils class (TomasVotruba)
 * feature #16390 [3.0] [Serializer] JsonEncoder: remove deprecated method (TomasVotruba)
 * feature #16301 [EventDispatcher] add method getListenerPriority() to interface (xabbuh)
 * feature #12119 [Console] Add progress indicator helper (kbond)
 * feature #16203 [Yaml] removed YAML parser \ escaping in double-quotes (fabpot)
 * feature #16107 [3.0] Various deprecations cleanups (nicolas-grekas)
 * feature #16125 Replace is_callable checks with type hints (mpajunen, nicolas-grekas)
 * feature #16076 [HttpFoundation] change precedence of parameters in Request::get (Tobion)
 * feature #16075 [3.0] Clean Form, Validator, DowCrawler and some more (nicolas-grekas)
 * feature #16035 [3.0][Security] Remove deprecated features (follow up of #15899) (Koc)
 * feature #8967 [HttpFoundation] Request->getRequestFormat should only rely on the request attributes (pvandommelen)
 * feature #16067 [3.0] Remove more deprecated interfaces in Form and Validator (nicolas-grekas)
 * feature #16020 [CssSelector] removed the deprecated CssSelector class (fabpot)
 * feature #15196 [HttpKernel] make RequestStack parameter required (Tobion)
 * feature #16024 [Validator] removed deprecated features in Validator and Form (fabpot)
 * feature #15900 [3.0][DoctrineBridge] Removed deprecated features (WouterJ)
 * feature #15904 [3.0][FrameworkBundle] Removed deprecated features (WouterJ)
 * feature #16019 [HttpFoundation] removed the ParameterBag::get() deep argument (fabpot)
 * feature #16018 [HttpKernel] removed deprecated profiler storages (fabpot)
 * feature #15899 [3.0][Security] Remove deprecated features (WouterJ)
 * feature #15929 [3.0][Config] Remove ResourceInterface::getResource() which was deprecated in 2.8 (mpdude)
 * feature #15965 [Finder] removed obsolete code (fabpot)
 * feature #15905 [3.0][Config] Removed isFresh() related functionality (WouterJ)
 * feature #15936 [Console] remove deprecated shell (Tobion)
 * feature #10788 [HttpKernel] Add better error message when controller action isn't callable (pierredup)
 * feature #15868 [Finder] Remove deprecated classes (nicolas-grekas)
 * feature #15869 [Translation][file dump] remove deprecated format method. (aitboudad)
 * feature #15801 [WebProfilerBundle][HttpKernel] removed import/export commands (jakzal)
 * feature #15759 [3.0][Translator] remove deprecated DiffOperation class. (aitboudad)
 * feature #15684 [Security] Remove deprecated interfaces (nicolas-grekas)
 * feature #15685 [3.0] Various deprecation removal (nicolas-grekas)
 * feature #15693 [DI] Remove deprecated scope concept (nicolas-grekas)
 * feature #15695 [FrameworkBundle] Removed deprecated code paths (nicolas-grekas)
 * feature #15430 [SecurityBundle] Remove deprecated code (dosten)
 * feature #15422 [Debug] Remove deprecated ExceptionHandler::createResponse (nicolas-grekas)
 * feature #15347 [DependencyInjection][3.0] Add initialized to container interface (znerol)
 * feature #15219 [DependencyInjection] Added ParameterBagInterface::remove (lyrixx)
 * feature #14927 Removed deprecated stuff from the Config component (dosten)
 * feature #14693 [3.0][Translator] changed the visibility of the locale from protected to private. (aitboudad)
 * feature #14979 [Security] removed obsolete translations (fabpot)
 * feature #14928 Removed deprecated stuff from the Console component (dosten)
 * feature #14155 Removed deprecations in DependencyInjection component (dosten)
 * feature #14145 Removed deprecations in Filesystem component (dosten)
 * feature #14153 Remove the legacy PDO session handler (dosten)
 * feature #14634 [3.0][HttpKernel] remove deprecated functions and classes (vincentaubert)
 * feature #14317 [3.0][FrameworkBundle][lint commands ] remove deprecated alias.  (vincentaubert)
 * feature #14220 [3.0][Console][OutputStyle] Implements verbosity levels methods (ogizanagi)
 * feature #14169 [Debug] Removed deprecated interfaces (nicolas-grekas)
 * feature #14147 Removed deprecations in Process component (dosten)
 * feature #14150 Removed deprecations in Templating component (dosten)
 * feature #14156 Remove deprecated Locale component (stloyd)
 * feature #14120 Removed deprecation in translation component (saro0h)
 * feature #14118 Removed deprecations in Console component (saro0h)
 * feature #14119 Removed deprecation in YAML component (saro0h)
 * feature #14091 [3.0] [FrameworkBundle] Drop backward compatibility for debug commands (matthieuauger)
 * feature #14070 removed all *.class parameters (fabpot)
 * feature #13808 [OptionsResolver] removed deprecated functionality (Tobion)
 * feature #13756 [3.0][Console] Added type hint (francisbesset)
 * feature #13752 [PropertyAccess] remove deprecations for 3.0 (Tobion)
 * feature #13666 removed deprecated asset feature (fabpot)
 * feature #13407 [Form] Remove deprecated setDefaultOptions and OptionsResolverInterface (peterrehm)
 * feature #13396 [Routing] remove deprecations for 3.0 (Tobion)
 * feature #13444 [Serializer] Remove deprecated JSON error methods (dunglas)
 * feature #13258 [HttpFoundation] remove deprecated : FlashBag don't implement anymore IteratorAggregate (FlorianLB)
 * feature #13086 [Console] Define isVerbose(), etc. methods in OutputInterface (frne)
 * feature #13348 [3.0][Monolog] Remove deprecated interface and deprecated methods (rosier)
 * feature #13260 [3.0][EventDispatcher][Event] removed deprecated methods (aitboudad)
 * feature #13203 [3.0] [ClassLoader] removed deprecated UniversalClassLoader and DebugClassLoader classes. (hhamon)
 * feature #13409 removed deprecated Twig features (fabpot)
 * feature #13233 [TwigBundle] removed deprecated ActionsExtension (fabpot)
 * feature #12663 [FrameworkBundle] remove deprecated method 'createEsi' (FlorianLB)
 * feature #13122 [3.0][Form] Removed depracted events PRE_BIND, BIND and POST_BIND (saro0h)
 * feature #13216 [3.0] [Config] removed deprecated ReferenceDumper class. (hhamon)
 * feature #12457 [FrameworkBundle] REFS #11294 Controller class become abstract (mickaelandrieu)
 * feature #12460 [3.0] [FrameworkBundle] removed request service occurrences. (hhamon)
 * feature #13121 [Console] Removed DialogHelper, ProgressHelper and TableHelper (saro0h)
 * feature #13127 [FrameworkBundle] Removed the deprecated RouterApacheDumperCommand (saro0h)
 * feature #13128 [Form] Removed deprecated form_enctype() (saro0h)
 * feature #13130 [HttpKernel] Removed deprecated ErrorHandler and ExceptionHandler classes (saro0h)
 * feature #13129 [Yaml] Removed the ability to parse a file in Yaml::parse() (saro0h)
 * feature #12994 Add LegacyPdoSessionHandler class (jeremylivingston)
 * feature #13046 [3.0] [Bridge] [Swiftmailer] removed Swiftmailer bridge namespace. (hhamon)
 * feature #12854 [3.0][HttpKernel] Remove unused method Kernel::isClassInActiveBundle (hacfi)
 * feature #12697 [3.0][Process] Remove deprecated methods (romainneutron)
 * feature #12731  [Monolog Bridge] Remove deprecated log methods + add unit tests (FlorianLB)
 * feature #12461 [HttpKernel] Removed deprecated Kernel::init() method (saro0h)
